"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var controller_1 = require("./controller");
var definition_1 = require("../definition");
function directive($parse) {
    return {
        link: function (scope, element, attrs, ctrl) {
            scope.svalue = scope.$parent.$eval(attrs.value);
            scope.$watch('svalue', function () {
                scope.$eval(attrs.value + ' = svalue');
            });
            scope.$watch(attrs.value, function (val) {
                scope.vm.svalue = val;
            });
        },
        scope: {
            'label': '=',
            'svalue': '=value',
            'list': '=',
            'selector': '='
        },
        bindToController: true,
        controllerAs: 'vm',
        controller: controller_1.controller.$inject,
        templateUrl: definition_1.definition.inputSingleSelect.templateUrl,
        replace: true
    };
}
exports.directive = directive;
//# sourceMappingURL=directive.js.map